Loading...
Searching...
No Matches
Opm::EclThermalConductionLawMultiplexer< ScalarT, FluidSystem, ParamsT > Class Template Reference

Implements the total thermal conductivity and rock enthalpy relations used by ECL. More...

`#include <EclThermalConductionLawMultiplexer.hpp>`

## Public Types

using | Params = ParamsT
using | Scalar = typename Params::Scalar

## Static Public Member Functions

template<class FluidState, class Evaluation = typename FluidState::Scalar>
static Evaluation | thermalConductivity (const Params &params, const FluidState &fluidState)
| Given a fluid state, compute the volumetric internal energy of the rock [W/m^3].

## Detailed Description

template<class ScalarT, class FluidSystem, class ParamsT = EclThermalConductionLawMultiplexerParams<ScalarT>>
class Opm::EclThermalConductionLawMultiplexer< ScalarT, FluidSystem, ParamsT >

Implements the total thermal conductivity and rock enthalpy relations used by ECL.

The documentation for this class was generated from the following file:

- opm/material/thermal/EclThermalConductionLawMultiplexer.hpp